﻿namespace WoodPelletShop
{
    public class Customer
    {
        private static int nextId = 1;

       
        public int Id { get; set; }
        public string Name { get; set; }  
        public string Phone { get; set; }
        public string Email { get; set; }
        public Address Address { get; set; }

        public Customer(string name, string phone, string email, Address address)
        {
            Id = nextId++;
            Name = name;
            Phone = phone;
            Email = email;
            Address = address;
        }

        public Customer()
        {
            Id=nextId++;
        }

        public override string ToString()
        {
            return $"{{{nameof(Id)}={Id.ToString()}, {nameof(Name)}={Name}, {nameof(Phone)}={Phone}, {nameof(Email)}={Email}, {nameof(Address)}={Address}}}";
        }
    }
}
