﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WoodPelletShop
{
    public class OrderRegister
    {
        private static List<Order> orderlist = new List<Order>();

        public static Boolean AddOrder(WoodPellet woodPellet, Customer custumer, int amount, DateOnly orderDate, DateOnly deleveryDate, Address deleveryAddress)
        {
            if (woodPellet.Stock >= amount) {  
                woodPellet.Stock -= amount;
                orderlist.Add(new Order(woodPellet, custumer, amount, orderDate, deleveryDate, deleveryAddress));
                return true;
            }
            return false;
        }

        public static List<Order> GetOrders()
        {
            return orderlist;
        }
    }
}
