﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WoodPelletShop
{
    public class WoodPellet
    {
        private static int nextId = 1;
        public int Id { get; set; }
        public string Brand { get; set; }
        public string Quality { get; set; }
        public string Size { get; set; }
        public double Price { get; set; }
        public string Energy { get; set; }
        public string Humidity { get; set; }
        public int Stock { get; set; }
        public string Info { get; set; }


        public WoodPellet()
        {
            Id = nextId++;
        }

        public WoodPellet(string brand, string quality, string size, double price, string energy, string humidity, int stock, string info)
        {
            Id = nextId++;
            Brand = brand;
            Quality = quality;
            Size = size;
            Price = price;
            Energy = energy;
            Humidity = humidity;
            Stock = stock;
            Info = info;
        }

        public override string ToString()
        {
            return $"{{{nameof(Id)}={Id.ToString()}, {nameof(Brand)}={Brand}, {nameof(Quality)}={Quality}, {nameof(Size)}={Size}, {nameof(Price)}={Price.ToString()}, {nameof(Energy)}={Energy}, {nameof(Humidity)}={Humidity}, {nameof(Stock)}={Stock.ToString()}, {nameof(Info)}={Info}}}";
        }
    }
}
